org.eclipse.emf.cdo.server

## Class CDOServerBrowser.LobsPage

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
  - - org.eclipse.emf.cdo.server.CDOServerBrowser.LobsPage

- All Implemented Interfaces:
    CDOServerBrowser.Page
  Enclosing class:
    CDOServerBrowser

      public static class CDOServerBrowser.LobsPage
      extends CDOServerBrowser.AbstractPage

  A `server browser page` that renders `large object infos`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LobsPage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDisplay(InternalRepository repository)`
    `void` | `display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
    `protected boolean` | `showLob(PrintStream out, String type, byte[] id, long size, CDOServerBrowser browser, String param)`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

      `getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LobsPage

          public LobsPage()

  - ### Method Detail

    - #### canDisplay

          public boolean canDisplay(InternalRepository repository)

    - #### display

          public void display(CDOServerBrowser browser,
                              InternalRepository repository,
                              PrintStream out)

    - #### showLob

          protected boolean showLob(PrintStream out,
                                    String type,
                                    byte[] id,
                                    long size,
                                    CDOServerBrowser browser,
                                    String param)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html